Debian Bug report logs - #594878
flash-kernel: please add mv78xx0 support

version graph

Package: flash-kernel; Maintainer for flash-kernel is Debian Install System Team <debian-boot@lists.debian.org>; Source for flash-kernel is src:flash-kernel.

Reported by: Hector Oron <zumbi@debian.org>

Date: Mon, 30 Aug 2010 10:45:01 UTC

Severity: wishlist

Found in version flash-kernel/2.32

Fixed in version flash-kernel/3.0~rc.1

Done: Hector Oron <zumbi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#594878; Package flash-kernel. (Mon, 30 Aug 2010 10:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 30 Aug 2010 10:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: flash-kernel: please add mv78xx0 support
Date: Mon, 30 Aug 2010 11:40:49 +0100
Package: flash-kernel
Version: 2.32
Severity: wishlist


Hello,

  This is an attempt to add mv78xx0 target to `flash-kernel' package. Find patch attached.

Best regards,


diff -Naur flash-kernel-2.32/debian/changelog flash-kernel-2.32.mv78xx0//debian/changelog
--- flash-kernel-2.32/debian/changelog	2010-07-11 20:47:41.000000000 +0000
+++ flash-kernel-2.32.mv78xx0//debian/changelog	2010-08-30 10:07:12.000000000 +0000
@@ -1,3 +1,9 @@
+flash-kernel (2.33) unstable; urgency=low
+
+  * Add support for the Marvell mv78xx0 targets 
+
+ --  <zumbi@debian.org>  Mon, 30 Aug 2010 10:06:40 +0000
+
 flash-kernel (2.32) unstable; urgency=low
 
   [ Updated translations ]
diff -Naur flash-kernel-2.32/flash-kernel flash-kernel-2.32.mv78xx0//flash-kernel
--- flash-kernel-2.32/flash-kernel	2010-06-26 17:55:50.000000000 +0000
+++ flash-kernel-2.32.mv78xx0//flash-kernel	2010-08-30 10:26:17.000000000 +0000
@@ -93,6 +93,7 @@
 		"HP Media Vault mv2120")		exit 0 ;;
 		"Linksys NSLU2")			exit 0 ;;
 		"Marvell GuruPlug Reference Board")	exit 0 ;;
+		"Marvell DB-78x00-BP Development Board")	exit 0 ;;
 		"Marvell OpenRD Base Board")		exit 0 ;;
 		"Marvell OpenRD Client Board")		exit 0 ;;
 		"Marvell OpenRD Ultimate Board")	exit 0 ;;
@@ -338,8 +339,11 @@
 		) > "$imtd" || error "failed."
 		echo "done." >&2
 	;;
-	"Marvell GuruPlug Reference Board" | "Marvell OpenRD Base Board" | "Marvell OpenRD Client Board" | "Marvell OpenRD Ultimate Board" | "Marvell SheevaPlug Reference Board" | "Marvell eSATA SheevaPlug Reference Board")
-		check_subarch "kirkwood"
+	"Marvell DB-78x00-BP Development Board" | "Marvell GuruPlug Reference Board" | "Marvell OpenRD Base Board" | "Marvell OpenRD Client Board" | "Marvell OpenRD Ultimate Board" | "Marvell SheevaPlug Reference Board" | "Marvell eSATA SheevaPlug Reference Board")
+		# Do not check subarch on Marvell DB-78x00 Board until supported by debian kernel
+		if [ x"$machine" != x"Marvell DB-78x00-BP Development Board" ]; then
+			check_subarch "kirkwood"
+		fi
 		tmp="$(tempfile)"
 		printf "Generating kernel u-boot image... " >&2
 		mkimage -A arm -O linux -T kernel -C none -a 0x00008000 \
diff -Naur flash-kernel-2.32/README flash-kernel-2.32.mv78xx0//README
--- flash-kernel-2.32/README	2010-06-26 17:55:50.000000000 +0000
+++ flash-kernel-2.32.mv78xx0//README	2010-08-30 10:18:45.000000000 +0000
@@ -31,6 +31,7 @@
  - HP Media Vault mv2120
  - Intel SS4000-E
  - Linksys NSLU2
+ - Marvell DB-78x00-BP Development Board
  - Marvell OpenRD-Base
  - Marvell OpenRD-Client
  - Marvell OpenRD-Ultimate


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (700, 'unstable'), (600, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#594878; Package flash-kernel. (Tue, 31 Aug 2010 21:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 31 Aug 2010 21:36:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Hector Oron <zumbi@debian.org>, 594878@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#594878: flash-kernel: please add mv78xx0 support
Date: Tue, 31 Aug 2010 22:32:26 +0100
* Hector Oron <zumbi@debian.org> [2010-08-30 11:40]:
>   This is an attempt to add mv78xx0 target to `flash-kernel' package. Find patch attached.

You also need to update the udeb, i.e.
debian/flash-kernel-installer.isinstallable,
debian/flash-kernel-installer.postinst

Would it also make sense to add the device to
initramfs-tools/hooks/flash_kernel_set_root?

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#594878; Package flash-kernel. (Tue, 31 Aug 2010 21:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 31 Aug 2010 21:36:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#594878; Package flash-kernel. (Fri, 24 Sep 2010 05:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 24 Sep 2010 05:39:03 GMT) Full text and rfc822 format available.

Message #20 received at 594878@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: 594878@bugs.debian.org
Subject: Re: Bug#594878: flash-kernel: please add mv78xx0 support
Date: Thu, 23 Sep 2010 13:31:28 +0100
I've added things to initramfs-tools/hooks/flash_kernel_set_root
locally, and I'm looking at updating the udeb too. However, it's not
very clear what's needed. Looking at code in
debian/flash-kernel-installer.postinst, the comment on the default
case in write_to_flash() seems backwards to me:

   # Assume that we write to flash for all other devices
   *)
       return 0
   ;;

In debian/flash-kernel-installer.isinstallable, what does
"ininstallable" mean? That the flash-kernel package should be
installed? I'm looking for the archdetect code now so I can test it on
the hardware to see what's returned.

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
You raise the blade, you make the change... You re-arrange me 'til I'm sane...





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#594878; Package flash-kernel. (Fri, 24 Sep 2010 07:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 24 Sep 2010 07:00:03 GMT) Full text and rfc822 format available.

Message #25 received at 594878@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Steve McIntyre <steve@einval.com>, 594878@bugs.debian.org
Subject: Re: Bug#594878: flash-kernel: please add mv78xx0 support
Date: Fri, 24 Sep 2010 08:57:17 +0200
* Steve McIntyre <steve@einval.com> [2010-09-23 13:31]:
> debian/flash-kernel-installer.postinst, the comment on the default
> case in write_to_flash() seems backwards to me:
>    # Assume that we write to flash for all other devices
>    *)
>        return 0

I believe shell is different to C in this regard but afaict the
existing code works fine.

> In debian/flash-kernel-installer.isinstallable, what does
> "ininstallable" mean? That the flash-kernel package should be
> installed? I'm looking for the archdetect code now so I can test it on
> the hardware to see what's returned.

returning a zero value in isinstallable means that the menu item will
be displayed in d-i.  If it's non-zero, flash-kernel will not show up
in the installer menu, even if the udeb is installed.
-- 
Martin Michlmayr
http://www.cyrius.com/




Reply sent to Hector Oron <zumbi@debian.org>:
You have taken responsibility. (Wed, 24 Aug 2011 12:35:57 GMT) Full text and rfc822 format available.

Notification sent to Hector Oron <zumbi@debian.org>:
Bug acknowledged by developer. (Wed, 24 Aug 2011 12:36:11 GMT) Full text and rfc822 format available.

Message #30 received at 594878-close@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 594878-close@bugs.debian.org
Subject: Bug#594878: fixed in flash-kernel 3.0~rc.1
Date: Wed, 24 Aug 2011 12:32:16 +0000
Source: flash-kernel
Source-Version: 3.0~rc.1

We believe that the bug you reported is fixed in the latest version of
flash-kernel, which is due to be installed in the Debian FTP archive:

flash-kernel-installer_3.0~rc.1_armel.udeb
  to main/f/flash-kernel/flash-kernel-installer_3.0~rc.1_armel.udeb
flash-kernel_3.0~rc.1.dsc
  to main/f/flash-kernel/flash-kernel_3.0~rc.1.dsc
flash-kernel_3.0~rc.1.tar.gz
  to main/f/flash-kernel/flash-kernel_3.0~rc.1.tar.gz
flash-kernel_3.0~rc.1_armel.deb
  to main/f/flash-kernel/flash-kernel_3.0~rc.1_armel.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 594878@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hector Oron <zumbi@debian.org> (supplier of updated flash-kernel package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 24 Aug 2011 12:47:34 +0100
Source: flash-kernel
Binary: flash-kernel flash-kernel-installer
Architecture: source armel
Version: 3.0~rc.1
Distribution: experimental
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Hector Oron <zumbi@debian.org>
Description: 
 flash-kernel - utility to make certain embedded devices bootable
 flash-kernel-installer - Make the system bootable (udeb)
Closes: 594878 612376 620888 626434 631396
Changes: 
 flash-kernel (3.0~rc.1) experimental; urgency=low
 .
   [ Loïc Minier ]
   * Bump Standards-Version to 3.9.2.
   * Add a testsuite and run it during build; change code a bit to be more
     easily tested.
   * Start reworking flash-kernel to be more data-driven.
     - Keep some machine data in a small embedded RFC 2822 style database; such
       as allowed kernel flavors, machine id to set before booting Linux,
       MTD names, U-Boot load addresses, /boot filenames etc.
     - Simplify code in the main "case" statement as much as possible by using
       functions for common code and splitting error handling, initialization,
       and sanity checks out.
     - Various syntax tweaks.
   * Only allow iop32x kernels on GLAN Tank.
   * Fix Lintian warnings.
     - Quote minus signs in man page.
     - Depend on ${misc:Depends}.
   * Add myself to Uploaders at tbm's proposal.
   * Add myself to flash-kernel's Copyright and to debian/copyright; thanks
     Martin Michlmayr.
 .
   [ Hector Oron ]
   * Add armhf to architecture list (Closes: #620888)
     - add mx5 as armhf subarchitecture
   * Add myself to Uploaders field.
   * Add preliminary mv78xx0 support. (Closes: #594878)
   * Add build dependency on devio, needed to run test-suite.
   * Upgrade major version to 3.0~rc.1
   * Add support for Genesi Efika MX nettops and smarttops. (Closes: #612376)
   * Add preliminary U-Boot script support (Closes: #626434)
 .
   [ Julian Andres Klode ]
   * Support for Toshiba AC100 (Closes: #631396)
 .
   [ Martin Michlmayr ]
   * Remove myself from the Uploaders field.
 .
   [ Updated translations ]
   * Bulgarian (bg.po) by Damyan Ivanov
   * German (de.po) by Holger Wansing
   * Esperanto (eo.po) by Felipe Castro
   * Basque (eu.po)
   * Hebrew (he.po) by Lior Kaplan
   * Italian (it.po) by Milo Casagrande
   * Korean (ko.po) by Changwoo Ryu
   * Macedonian (mk.po) by Arangel Angov
   * Romanian (ro.po) by Eddy Petrișor
   * Sinhala (si.po) by Danishka Navin
   * Slovak (sk.po) by Ivan Masár
   * Swedish (sv.po) by Daniel Nylander
   * Uyghur (ug.po) by Sahran
   * Simplified Chinese (zh_CN.po) by YunQiang Su
Checksums-Sha1: 
 80f72d07827f3e3fb0311e6400415b70d79e4cbd 1669 flash-kernel_3.0~rc.1.dsc
 98db3b825cbdcf449e82a42173c32f45b6d5a657 48850 flash-kernel_3.0~rc.1.tar.gz
 6561090adec3efa743950bba9557c28fc736fd57 19564 flash-kernel_3.0~rc.1_armel.deb
 db5018e174417a7c0b92ecfbc2398e0e6a98b510 12400 flash-kernel-installer_3.0~rc.1_armel.udeb
Checksums-Sha256: 
 0b3de1beb920ebdc80285f2312b0a195d042fce1b6ff83209afdb487d62af265 1669 flash-kernel_3.0~rc.1.dsc
 422619dc4ade7c490f3139a8386ed72e224a16983882a0baa35aca0252e65485 48850 flash-kernel_3.0~rc.1.tar.gz
 cce2713506fe636b5ca1ee930832cc7253da4c63ef93e2ef7e19257ec248a9e2 19564 flash-kernel_3.0~rc.1_armel.deb
 d703cb113b906edb16a7e8a882e1f82406d8fb734bd1720a1d911ddfc186c711 12400 flash-kernel-installer_3.0~rc.1_armel.udeb
Files: 
 ad0f758094ba7f81bfbb9c65f4786c45 1669 utils optional flash-kernel_3.0~rc.1.dsc
 8af5f8bef0803d1f56b947218338cd0b 48850 utils optional flash-kernel_3.0~rc.1.tar.gz
 8269fbc9175d560b3e93a9a0b2ce76ef 19564 utils optional flash-kernel_3.0~rc.1_armel.deb
 2847a63ac08f876984297eaabb1734b7 12400 debian-installer standard flash-kernel-installer_3.0~rc.1_armel.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOVOxjAAoJEK8ig6p24qx7ujEP/0B4HCtmv+Gs275pirssHdDB
yG2lB6FgMqCMlIQAuW7i4fyp7NpVpCNRVSovHDJk4ESOdSMXzLWnKRZw42DAfAQc
BQQTFKprJYk40LhgZt6Kk0d6hkq2op3H6YQGGaZQCgWgY2mGio2fptEImEraPn1+
Lz0XCg7Sl9fmoh9jswtsxYk344xHF+j1MVwqWRhytb3Ho1ouEjILgGOcWD8tyN97
kQlkCzdd0z75D78aIltv3zfC04hmTamX5CGXzSj8Y5wTGhOTYf+0k3ysw85Ub9UP
gslEOPy7zdGIgNQ9N29JT+8jvhBI1X1ig7Kwl4QJuzi0RaWYhPjiHv//gl849tVu
X0UHjBQ9+fz4bwDR/aNi3dp/MRZNH94f0Cec0l8No0irQDAADuW3WELijwrbj99H
Af4EmKeEmkDqkkX/wDLNWBxB6gggjEdVUhV5NZHZlMRgkiZC3VPnb+q25LkA1AKm
E2rzF+s7da3lTcnUIekbRMJRVMYVE4ZlRdX7kwYKveo3/lydl+99nwEFZJ+551Ph
W7Cm9wzpCGomciP3xH7pP4+JBg/h3QBzI9a765vveuHm3fZXx/93jzSPfUZq9+5L
+SG3S6QbpbtEFj+HGbpUb1FBZ5AGDyUSCXKnejdxphmBHbx29QBPSQUBZExvRB3t
NhhU3FKF6uU5wMjK0yGc
=D/ZR
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 15 Apr 2012 07:39:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:21:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.